Storage
Create a presigned storage upload
Returns one or more presigned S3 upload URLs for uploading a source file before registering it with `/v2/jobs/register`. Provide `file_size` to request a multipart upload.
Returns one or more presigned S3 upload URLs for uploading a source file before registering it with /v2/jobs/register. Provide file_size to request a multipart upload.
Authorization
APIKeyHeader X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v2/storage/uploads" \ -H "Content-Type: application/json" \ -d '{ "file_ext": "mp4" }'{ "source_url": "https://cdn.example.com/presigned_upload/user_123/source.mp4", "file_path": "presigned_upload/user_123/source.mp4", "upload_id": "2~example-upload-id", "upload_urls": [ { "part_number": 1, "upload_url": "https://example-bucket.s3.amazonaws.com/presigned_upload/user_123/source.mp4?partNumber=1&X-Amz-Signature=..." } ], "method": "PUT", "headers": { "Content-Type": "video/mp4" }}